/****************************************************************************
**
** DCOP Stub Definition created by dcopidl2cpp from mainIFace.kidl
**
** WARNING! All changes made in this file will be lost!
**
*****************************************************************************/

#ifndef __MAINIFACE_STUB__
#define __MAINIFACE_STUB__

#include <dcopstub.h>
#include <dcopobject.h>
#include <qstringlist.h>
#include <qobject.h>


class MainIFace_stub : virtual public DCOPStub
{
public:
    MainIFace_stub( const QCString& app, const QCString& id );
    MainIFace_stub( DCOPClient* client, const QCString& app, const QCString& id );
    explicit MainIFace_stub( const DCOPRef& ref );
    virtual void updateStatus();
    virtual bool deviceIsLoaded( const QString&  );
    virtual void newSMS();
    virtual QStringList loadedEngines( bool  );
    virtual void switchPart( const QString&  );
protected:
    MainIFace_stub() : DCOPStub( never_use ) {}
};


#endif
